declare var wx: any;
declare var $_: any;

export type PageResult<T> = {
  items: T[],
  counts: number,
  page: number,
  pages: number,
  pageSize: number
}

export type PageParams = {
  page?: number,
  pageSize?: number
}

export type Result = {
  code: number,
  data: T,
  message: string,
  time: string
}

export type ComType = {[attrName: string]: any }